Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QFSFileEngine

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QAbstractFileEngine
                      com.trolltech.qt.core.QFSFileEngine

All Implemented Interfaces:
  QtJambiInterface

    public class QFSFileEngine

extends QAbstractFileEngine

The `QFSFileEngine` class implements Qt's default file engine. This class is part of the file engine framework in Qt. If you only want to access files or directories, use `QFile`, `QFileInfo` or `QDir` instead.

`QFSFileEngine` is the default file engine for accessing regular files. It is provided for convenience; by subclassing this class, you can alter its behavior slightly, without having to write a complete `QAbstractFileEngine` subclass. To install your custom file engine, you must also subclass `QAbstractFileEngineHandler` and create an instance of your handler.

It can also be useful to create a `QFSFileEngine` object directly if you need to use the local file system inside `QAbstractFileEngine::create()`, in order to avoid recursion (as higher-level classes tend to call `QAbstractFileEngine::create()`).

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QAbstractFileEngine
`QAbstractFileEngine.Extension, QAbstractFileEngine.FileFlag, QAbstractFileEngine.FileFlags, QAbstractFileEngine.FileName, QAbstractFileEngine.FileOwner, QAbstractFileEngine.FileTime`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QFSFileEngine()` Constructs a `QFSFileEngine`.
`QFSFileEngine(java.lang.String file)` Constructs a `QFSFileEngine` for the file name `file`.

Method Summary
`static java.lang.String` | `currentPath()` Returns the canonicalized form of the current path used by the file engine for the drive specified by `fileName`.
`static java.lang.String` | `currentPath(java.lang.String path)` Returns the canonicalized form of the current path used by the file engine for the drive specified by `fileName`.
`static java.util.List` | `drives()` Returns the list of drives in the file system as a list of `QFileInfo` objects.
`static java.lang.String` | `homePath()` Returns the home path of the current user.
`boolean` | `open(QIODevice.OpenMode flags, int fd)` Opens the file descriptor `fd` in `openMode` mode.
`static java.lang.String` | `rootPath()` Returns the root path.
`static boolean` | `setCurrentPath(java.lang.String path)` Sets the current path (e.
`static java.lang.String` | `tempPath()` Returns the temporary path (i.e., a path in which it is safe to store temporary files).

Methods inherited from class com.trolltech.qt.core.QAbstractFileEngine
`addSearchPathForResourceEngine, atEnd, caseSensitive, close, copy, create, entryList, error, errorString, fileFlags, fileFlags, fileFlags, fileName, fileName, fileTime, flush, handle, isRelativePath, isSequential, link, mkdir, open, open, owner, ownerId, pos, read, readLine, remove, removeSearchPathForResourceEngine, rename, rmdir, seek, setError, setFileName, setPermissions, setSize, size, supportsExtension, write`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QFSFileEngine

    public QFSFileEngine()

  Constructs a `QFSFileEngine`.

### QFSFileEngine

    public QFSFileEngine(java.lang.String file)

  Constructs a `QFSFileEngine` for the file name `file`.

Method Detail

### open

    public final boolean open(QIODevice.OpenMode flags,
                              int fd)

  Opens the file descriptor `fd` in `openMode` mode. Returns true on success; otherwise returns false.

### currentPath

    public static java.lang.String currentPath()

  Returns the canonicalized form of the current path used by the file engine for the drive specified by `fileName`.

  On Windows, each drive has its own current directory, so a different path is returned for file names that include different drive names (e.g. A: or C:).

See also:
  `setCurrentPath()`.

### currentPath

    public static java.lang.String currentPath(java.lang.String path)

  Returns the canonicalized form of the current path used by the file engine for the drive specified by `fileName`.

  On Windows, each drive has its own current directory, so a different path is returned for file names that include different drive names (e.g. A: or C:).

See also:
  `setCurrentPath()`.

### drives

    public static java.util.List drives()

  Returns the list of drives in the file system as a list of `QFileInfo` objects. On unix, Mac OS X and Windows CE, only the root path is returned. On Windows, this function returns all drives (A:, C:, D:, etc.).

### homePath

    public static java.lang.String homePath()

  Returns the home path of the current user.

See also:
  `rootPath()`.

### rootPath

    public static java.lang.String rootPath()

  Returns the root path.

See also:
  `homePath()`.

### setCurrentPath

    public static boolean setCurrentPath(java.lang.String path)

  Sets the current path (e. ., for `QDir`), to `path`. Returns true if the new path exists; otherwise this function does nothing, and returns false.

See also:
  `currentPath()`.

### tempPath

    public static java.lang.String tempPath()

  Returns the temporary path (i.e., a path in which it is safe to store temporary files).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD